Package org.lwjgl.opengl

# Class ARBTextureSwizzle

java.lang.Object
org.lwjgl.opengl.ARBTextureSwizzle

public final class ARBTextureSwizzle extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TEXTURE_SWIZZLE_A`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_B`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_G`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_R`
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SWIZZLE_RGBA`
Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_SWIZZLE_R

public static final int GL_TEXTURE_SWIZZLE_R
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_G

public static final int GL_TEXTURE_SWIZZLE_G
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_B

public static final int GL_TEXTURE_SWIZZLE_B
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_A

public static final int GL_TEXTURE_SWIZZLE_A
Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_SWIZZLE_RGBA

public static final int GL_TEXTURE_SWIZZLE_RGBA
Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

See Also:
  - Constant Field Values